package cn.palmte.work.model.enums;

/**
 * 印章类型
 *
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/13 15:25
 */
public enum SealType implements Enumerable<String> {

  // "公章"
  // "法人章"
  // "合同专用章"
  // "项目章"
  // "法人签名章"
  // "总经理签名章"
  // "财务专用章"
  // "电子合同章"
  // "其他"

  official("公章"),
  legal("法人章"),
  contract_special("合同专用章"),
  project("项目章"),
  legal_person_signature("法人签名章"),
  general_manager_signature("总经理签名章"),
  financial("财务专用章"),
  electronic_contract("电子合同章"),
  other("其他");

  private final String description;

  SealType(String description) {
    this.description = description;
  }

  @Override
  public String getDescription() {
    return description;
  }

}
